## deal 1.0-20

=== DESCRIPTION ===
Package: deal
Version: 1.0-20
Date: 2002-01-05
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.
Maintainer: Claus Dethlefsen <dethlef@math.auc.dk>
Depends: R (>= 1.5.0)
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.auc.dk/novo/deal
