## deal 1.1-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.0-20
+Version: 1.1-1
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.
