## deal 1.2-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.2-4
+Version: 1.2-6
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.
