## deal 1.2-22

=== DESCRIPTION ===
Package: deal
Version: 1.2-22
Date: 2004-10-11
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <dethlef@math.aau.dk>.
Maintainer: Claus Dethlefsen <dethlef@math.aau.dk>
Depends: R (>= 2.0.0),methods,dynamicGraph
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.aau.dk/novo/deal
Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R anetworkclass.R dealObjects.R usermenus.R
Packaged: Fri Nov 19 12:37:02 2004; dethlef
