## deal 1.2-30

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.2-29
+Version: 1.2-30
 Date: 2007-04-19
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <cld@rn.dk>.
@@ -9,4 +9,4 @@
 License: GPL version 2 or newer
 URL: http://www.math.aau.dk/~dethlef/novo/deal
 Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R fullsimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R
-Packaged: Thu Apr 19 13:31:57 2007; 86c9
+Packaged: Fri Apr 20 09:48:30 2007; 86c9
