## deal 3.1.7+svn313

=== Makefile ===
--- 
+++ 
@@ -9,31 +9,11 @@
 
 TCL_DIR=/usr
 
+include Make.mac-osx
+#include Make.ubuntu
+
 CC=gcc
-MAC_ARCH = 
-MAC_ARCH_UNIVERSAL = -arch i386 -arch ppc
-#DEBUG_FLAGS=-g -ansi -Wall -O2 $(MAC_ARCH)
-#CPPFLAGS = -fno-rtti -g -O2 $(MAC_ARCH)
-DEBUG_FLAGS=-fast -ansi -Wall $(MAC_ARCH)
-CPPFLAGS = -fno-rtti -fast -Winline -Wall $(MAC_ARCH)
-
-# Change TCL_INCL to point to the directory containing Tcl's
-# include files
-TCL_INCL=/usr/local
-
-# Change TCL_LIB to point to the directory where you have a copy
-# of libtcl.
-# 
-TCL_LIB=$(TCL_DIR)/lib
-
-######
-LDFLAGS=  -L$(TCL_LIB) -ltcl -lm
-
-
-
-
-#
-ADVISOR=
+
 
 # Since strdup is not implemented on some Ultrix systems
 # (and is not required by ANSI C) you might want to
@@ -58,14 +38,14 @@
 
 
 OBJS=random.o additive.o hand.o deal.o formats.o tcl_deal.o maindeal.o stat.o counttable.o \
-	vector.o dist.o stringbox.o dealtypes.o keywords.o holdings.o tcl_dds.o dds.o $(EXTRA_OBJS) 
-SRCS=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c counttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c dds.cpp
-SRCKIT=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c makecounttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c tcl_dds.c dds.cpp
-HFILES=deck.h deal.h tcl_incl.h vector.h stat.h tcl_dist.h dist.h formats.h additive.h stringbox.h dealtypes.h holdings.h keywords.h ansidecl.h dds.h ddsInterface.h Holding.h
+	vector.o dist.o stringbox.o dealtypes.o keywords.o holdings.o tcl_dds.o dds.o ddsLookup.o $(EXTRA_OBJS) 
+SRCS=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c counttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c dds.cpp ddsLookup.cpp getopt.c
+SRCKIT=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c makecounttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c tcl_dds.c dds.cpp ddsLookup.cpp
+HFILES=deck.h deal.h tcl_incl.h vector.h stat.h tcl_dist.h dist.h formats.h additive.h stringbox.h dealtypes.h holdings.h keywords.h ansidecl.h dds.h ddsInline.h ddsInterface.h Holding.h getopt.h ddsLookup.h
 EXAMPLES= ex/*.tcl
 TESTS=tests
 HTML=html
-BUILDFILES=Makefile Make.dep 
+BUILDFILES=Makefile Make.dep Make.mac-osx Make.ubuntu
 OTHERFILES=CHANGES LICENSE GPL input format lib deal.tcl
 
 SOURCEKIT=$(SRCKIT) $(HFILES) $(EXAMPLES) $(BUILDFILES) $(OTHERFILES) $(EXTRAS) $(TESTS) $(HTML)
@@ -104,8 +84,8 @@
 	$(CC) $(CFLAGS) makecounttable.c -o makecounttable $(LDFLAGS)
 
 KITNAME=deal
-DEAL_VERSION=314
-OLD_VERSION=313
+DEAL_VERSION=318
+OLD_VERSION=317
 RELEASE=$(KITNAME)$(DEAL_VERSION)
 SRCDIR=$(RELEASE)
 BINDIR=$(RELEASE)-bin
@@ -142,7 +122,7 @@
 	mkdir $(DOCDEST)
 	cp -r docs/graphics $(DOCDEST)/graphics
 	cp -r docs/html/*.css docs/html/ex $(DOCDEST)
-	cd docs/html; for file in *.html; do \
+	cd docs/html; for file in *.html *.js; do \
 		php process.php $(DOCTYPE) $$file > ../../$(DOCDEST)/$$file ; done
 
 sitedoc:
@@ -163,7 +143,7 @@
 	rm -rf $(BINDIR)
 	mkdir $(BINDIR)
 	/bin/ls -1d $(BINKIT) | xargs tar cf - | (cd $(BINDIR) ; tar xf -)
-	find $(BINDIR) -name CVS -print | xargs /bin/rm -rf
+	find $(BINDIR) -name .svn -print | xargs /bin/rm -rf
 
 $(SRCDIR): $(SOURCEKIT) docs/html docs/graphics documentation
 	mv Make.dep Make.dep.saved
@@ -174,7 +154,7 @@
 	mv Make.dep.saved Make.dep
 
 $(SRCZIP): $(SRCDIR)
-	zip -r $(SRCZIP) $(SRCDIR) -x \*~ -x *CVS/\*
+	zip -r $(SRCZIP) $(SRCDIR) -x \*~ -x *CVS/\* *.svn/\*
 
 $(EXEZIP): $(SRCDIR)
 	rm -f $(EXEZIP) $(SRCDIR)/deal
@@ -182,7 +162,7 @@
 	test -f tcl85.dll
 	cp deal.exe $(SRCDIR)
 	cp tcl85.dll $(SRCDIR)
-	zip -r $(EXEZIP) $(SRCDIR)/ex $(SRCDIR)/input $(SRCDIR)/format $(SRCDIR)/docs $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/lib $(SRCDIR)/deal.tcl $(SRCDIR)/deal.exe $(SRCDIR)/tcl85.dll $(SRCDIR)/tests $(SRCDIR)/html -x \*~ -x *CVS/\*
+	zip -r $(EXEZIP) $(SRCDIR)/ex $(SRCDIR)/input $(SRCDIR)/format $(SRCDIR)/docs $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/lib $(SRCDIR)/deal.tcl $(SRCDIR)/deal.exe $(SRCDIR)/tcl85.dll $(SRCDIR)/tests $(SRCDIR)/html -x \*~ -x *CVS/\* *.svn/\*
 
 $(DMG): $(BINDIR) deal
 	cp deal $(BINDIR)/deal
@@ -193,7 +173,7 @@
 
 $(DOCZIP): $(SRCDIR)
 	rm -f $(DOCZIP)
-	zip -r $(DOCZIP) $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/docs -x \*~ -x *CVS/\*
+	zip -r $(DOCZIP) $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/docs -x \*~ -x *CVS/\* *.svn/\*
 
 gzip: $(SRCTAR).gz
