=== debian/changelog ===
deal (3.1.9-9) unstable; urgency=medium

  * Bump Standards-Version and modernize Vcs URLs.
  * html: Remove check-old version code so we don't call home.
  * debian/tests/installcheck: Include /usr/games in PATH.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Nov 2017 20:18:23 +0100

deal (3.1.9-8) unstable; urgency=medium

  * debian/tests/control: Add Restrictions: allow-stderr.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 11 Feb 2014 12:37:25 +0100

deal (3.1.9-7) unstable; urgency=medium

  * Unfortunately we can't run tests at build time because we read
    /usr/share/deal/deal.tcl.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 10 Feb 2014 17:09:15 +0100

deal (3.1.9-6) unstable; urgency=medium

  * Use the default tcl version for #include and linking.
  * Convert to a "dh" rules file.
  * Run tests at buildtime and use /usr/games/deal for the autopkgtests.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 10 Feb 2014 11:09:33 +0100

deal (3.1.9-5) unstable; urgency=low

  [ Martin Pitt ]
  * Add missing "tcl-dev" autopkgtest dependency.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Nov 2013 21:59:20 +0100

deal (3.1.9-4) unstable; urgency=low

  * Make.ubuntu: Remove -L/usr/lib so we don't pick up bad libs on multiarch
    systems. (Closes: #722762)
  * Use 3.0 (quilt).
  * Add autopkgtest support.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2013 17:17:16 +0200

deal (3.1.9-3) unstable; urgency=low

  * Set compat 9 and enable hardening.
  * Use tcl-dev again, default tcl version is now 8.5.
  * Update Vcs urls.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Mar 2012 13:51:40 +0100

deal (3.1.9-2) experimental; urgency=low

  * Recompile with tcl 8.5. (Closes: #607476)

 -- Christoph Berg <myon@debian.org>  Sun, 19 Dec 2010 15:10:04 +0100

deal (3.1.9-1) unstable; urgency=low

  * New upstream release.
    + diff.gz-only-patch: do not remove html dir on clean.

 -- Christoph Berg <myon@debian.org>  Fri, 02 Apr 2010 23:46:10 +0200

deal (3.1.7+svn313-1) unstable; urgency=low

  * New SVN snapshot from http://code.google.com/p/andrews-deal/.
    + html docs include php, some pages will look ugly when viewed locally.
  * Use the shipped dds.cpp version, it is heavily modified wrt upstream's
    version.
  * Refresh debian/patches/seed-getpid.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Jun 2009 20:32:15 +0200

deal (3.1.4-1) unstable; urgency=low

  * New upstream release. (Closes: #488598)
    Thanks to Travis Crump for spotting, the watch file didn't notice.
  * Update upstream website location in control and watch files.
  * Use libdds.a instead of the shipped dds.cpp copy.
  * Convert to quilt (except for an overzealous clean target in the Makefile).

 -- Christoph Berg <myon@debian.org>  Sun, 06 Jul 2008 00:57:45 +0200

deal (3.0.8-4) unstable; urgency=low

  * Fix segfault on amd64, (int)random() sometimes returned negative numbers
    (Closes: #383625).
  * Xor the seed with getpid() to make deals more random.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Aug 2006 01:37:28 +0200

deal (3.0.8-3) unstable; urgency=low

  * Rebuild.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Oct 2005 18:24:19 +0200

deal (3.0.8-2) unstable; urgency=low

  * Two input/ files were still using relative source paths.
  * Noted copyright holders in debian/copyright and the used licenses.
  * Pass CFLAGS to Makefile in debian/rules.
  * Add ${misc:Depends} in debian/control.

 -- Christoph Berg <cb@df7cb.de>  Sun,  6 Feb 2005 13:00:19 +0100

deal (3.0.8-1) unstable; urgency=low

  * Initial release (Closes: #185739).

 -- Christoph Berg <cb@df7cb.de>  Sun,  9 Jan 2005 22:21:06 +0100
