=== debian/control ===
Source: deal
Section: games
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), tcl-dev
Standards-Version: 4.1.1
Homepage: http://bridge.thomasoandrews.com/deal/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/deal.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deal.git

Package: deal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bridge hand generator
 This program generates bridge hands. It can be told to generate only hands
 satisfying conditions like being balanced, having a range of HCPs, controls,
 or other user-definable properties. Hands can be output in various formats,
 like pbn for feeding to other bridge programs, deal itself, or split up into a
 file per player for practise. Extensible via Tcl.
