=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	$(MAKE) EXTRA_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" \
		EXTRA_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"

override_dh_auto_test:

override_dh_auto_clean:
	touch Make.dep
	$(MAKE) clean
	dh_clean makecounttable counttable.c build-stamp configure-stamp
	# test suite leftovers
	rm -f test.out correct.out

override_dh_installman:
	dh_installman debian/deal.6

%:
	dh $@
