=== debian/watch ===
version=3
opts="dversionmangle=s/\+svn.*//,uversionmangle=s/(.)(.)(.)/$1.$2.$3/" \
http://bridge.thomasoandrews.com/deal/downloading.html deal([\d.-]*)(?:src)?.zip
